namespace DemoForTelerik.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;
    using Telerik.Reporting;
    using Telerik.Reporting.Drawing;

    /// <summary>
    /// Summary description for Report1.
    /// </summary>
    public partial class Report1 : Telerik.Reporting.Report
    {
        public Report1()
        {
            InitializeComponent();
            SetDataSource();
        }

        private void SetDataSource()
        {
            List<ReportDataSource> list = new List<ReportDataSource>();
            for (int i = 0; i <= 20; i++)
            {
                ReportDataSource data = new ReportDataSource();

                data.Number = i + 10;
                data.Date = DateTime.Today.AddDays(i);

                if (i <= 5)
                {
                    data.EmpId = 1;
                    data.EmpName = "Employee 1";
                    data.Department = "Department1";
                    data.Class = "Class1";
                }
                if (i > 5 && i <= 10)
                {
                    data.EmpId = 2;
                    data.EmpName = "Employee 2";
                    data.Department = "Department2";
                    data.Class = "Class2";
                }

                if (i > 10 && i <= 15)
                {
                    data.EmpId = 3;
                    data.EmpName = "Employee 3";
                    data.Department = "Department3";
                    data.Class = "Class3";
                }
                if (i > 15)
                {
                    data.EmpId = 4;
                    data.EmpName = "Employee 4";
                    data.Department = "Department4";
                    data.Class = "Class4";
                }

                list.Add(data);
            }

            Telerik.Reporting.ObjectDataSource obData = new ObjectDataSource();
            obData.DataSource = list;
            this.DataSource = obData;
        }


    }

    public class ReportDataSource
    {
        public int EmpId { get; set; }
        public string EmpName { get; set; }
        public int Number { get; set; }
        public string Department { get; set; }
        public string Class { get; set; }
        public DateTime Date { get; set; }
    }
}